---
search:
  tags:
    - Orders V2
    - PATCH
seo:
  description: >-
    Bulk-changes order statuses. Successful entities are… Reference for the
    PATCH /api/v2/{team_slug}/{app_slug}/orders/status endpoint in the
    Management API v2.
sidebar:
  label: Update order statuses
  badge: PATCH
title: Update order statuses
type: openapi-operation
---
Bulk-changes order statuses. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/orders/status`

**Request body** (`application/json`, required)

- `orders` (PatchOrderStatusItem[], required)

Request body example:

```json
{
  "orders": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "status": "placed"
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "source": "string",
      "status": "string",
      "session_id": "string",
      "country_code": "string",
      "currency_code": "string",
      "language_code": "string",
      "sub_total": 0,
      "tax_total": 0,
      "discount_total": 0,
      "shipping_total": 0,
      "gift_card_total": 0,
      "bonus_total": 0,
      "grand_total": 0,
      "reference": "string",
      "payment_method_id": "string",
      "payment_method_name": "string",
      "payment_method": "string",
      "shipping_methods": [
        "string"
      ],
      "lines": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "order_id": "93101167-9065-4b9c-b98b-5d789a3ed9fe",
          "variant_id": "8a2d415d-59aa-4132-bef3-011f97c4a0f6",
          "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
          "tax_group_id": "4496f79f-aa1a-4128-84f5-5c1c0836a341",
          "currency_code": "string",
          "quantity": 0,
          "base_price_amount": 0,
          "total_discount_amount": 0,
          "total_sale_price": 0,
          "total_tax_amount": 0,
          "total_price_amount": 0,
          "product_name": "string",
          "product_number": "string",
          "variant_name": "string",
          "variant_number": "string",
          "short_description": "string",
          "first_image_path": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "billing_address": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "country_code": "string",
        "state_or_province": "string",
        "street_address": "string",
        "street_address_2": "string",
        "city": "string",
        "postal_code": "string",
        "given_name": "string",
        "family_name": "string",
        "email": "string",
        "telephone_number": "string",
        "address_type": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      },
      "shipping_address": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "country_code": "string",
        "state_or_province": "string",
        "street_address": "string",
        "street_address_2": "string",
        "city": "string",
        "postal_code": "string",
        "given_name": "string",
        "family_name": "string",
        "email": "string",
        "telephone_number": "string",
        "address_type": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      },
      "discounts": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "discount_id": "string",
          "order_id": "93101167-9065-4b9c-b98b-5d789a3ed9fe",
          "name": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "merchant_user": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "surname": "string",
        "email": "string"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
